Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

When I wanted to edit a shapefile in GRASS I got this message:

Unable to start wxGUI vector digitizer. Do you want to start TCL/TK digitizer (v.digit) instead?

Details: No module named grass6_wxvdigit

Therefore, as suggested in this link: http://osgeo-org.1803224.n2.nabble.com/wxpython-gui-and-v-digit-td3019439.html and https://svn.osgeo.org/grass/grass/trunk/gui/wxpython/README - 6. VECTOR DIGITIZER I have been trying to compile/install vdigit component. I could install GRASS with C++ (--with-cxx), Python (--with-python) and wxWidgets (--with-wxwidgets) support. But in the next step when I change to the directory "cd gui/wxpython/vdigit" and run make I get the following error:

..............
cats.cpp:456: error: ‘Vect_rewrite_line’ was not declared in this scope

cats.cpp:461: error: ‘G_debug’ was not declared in this scope
cats.cpp:467: error: ‘Vect_destroy_line_struct’ was not declared in this scope
cats.cpp:468: error: ‘Vect_destroy_cats_struct’ was not declared in this scope

error: command 'gcc' failed with exit status 1
make: *** [OBJ.x86_64-unknown-linux-gnu/_grass6_wxvdigit.so] Error 1

I use Ubuntu 10.04 LTS with GRASS 6.4.1svn. I tried installing python-dev, python2.6-dev packages as suggested in many forums but the error continued to appear.

share|improve this question
add comment

1 Answer

up vote 2 down vote accepted

Answer from the GRASS mailing list:

This component has been replaced by Python'ized version in GRASS 6.5+. It will be included in 6.4.2. No more need to use a C++ compiler.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.